SACN::Universe Class Reference

The Universe class. More...

`#include <universe.h>`

Inheritance diagram for SACN::Universe:
[legend]

## Public Member Functions

| Universe ()
| Universe::Universe.
virtual bool | isSyncronized () const
| Universe::isSyncronized. More...
virtual std::shared_ptr< Provenance > | source () const
| Universe::source. More...
virtual uint8_t | slot (const uint16_t) override
| Universe::slot. More...
virtual void | set (std::shared_ptr< ACN::DMP::Pdu >, std::shared_ptr< Provenance >)
| Universe::set. More...
virtual void | setProvenance (std::shared_ptr< Provenance >)
| Universe::setSource. More...
virtual void | synchronize ()
| Universe::synchronize.
Public Member Functions inherited from DMX::Universe
| Universe (int timeout_period=E111_DATA_LOSS_TIMEOUT)
| Universe::Universe. More...
virtual | ~Universe ()
| Universe::~Universe.
virtual const DimmerData * | data () const
| Universe::data. More...
virtual double | rxRate ()
| Universe::rxRate Rate (in Hz) at which the universe is being recv'd. More...
void | setValue (const uint16_t, const uint8_t)
| Universe::setValue. More...
void | setValue (const uint16_t, const uint16_t, const uint8_t *)
| Universe::setValue. More...
void | setData (std::vector< uint8_t >)
| Universe::setData Accept new data from receiver. More...
void | onData (const DataHandler)
| Universe::onData. More...
Public Member Functions inherited from ACN::DMP::Device
| Device ()
| Device::Device.

## Additional Inherited Members

Protected Attributes inherited from DMX::Universe
std::vector< DataHandler > | callbacks_
| list of calback functions

## Detailed Description

The Universe class.

## Member Function Documentation

## isSyncronized()

bool SACN::Universe::isSyncronized | ( |  | ) | const

virtual

Universe::isSyncronized.

Returns

Reimplemented in SACN::MergeProxyUniverse.

Here is the caller graph for this function:

## set()

void SACN::Universe::set | ( | std::shared_ptr< ACN::DMP::Pdu > | dmp,
|  | std::shared_ptr< Provenance > | source
| ) |  |

virtual

Universe::set.

Parameters

  dmp |
  source |

7.3 Address Type and Data Type Sources shall set the DMP Layer's Address Type and Data Type to 0xa1. Receivers shall discard the packet if the received value is not 0xa1.

7.4 First Property Address Sources shall set the DMP Layer's First Property Address to 0x0000. Receivers shall discard the packet if the received value is not 0x0000.

7.5 Address Increment Sources shall set the DMP Layer's Address Increment to 0x0001. Receivers shall discard the packet if the received value is not 0x0001.

7.6 Property Value Count The DMP Layer's Property Value Count is used to encode the number of DMX512-A [DMX] Slots (including the START Code slot).

7.7 Property Values (DMX512-A Data) The DMP Layer's Property values field is used to encode the DMX512-A [DMX] START Code and data.

6.2.4.1 If a receiver is presented with an E1.31 Data Packet containing a Synchronization Address of 0, it shall discard any data waiting to be processed and immediately act on that Data Packet.

Reimplemented in SACN::MergeProxyUniverse.

Here is the call graph for this function:
Here is the caller graph for this function:

## setProvenance()

void SACN::Universe::setProvenance | ( | std::shared_ptr< Provenance > | source | ) |

virtual

Universe::setSource.

Parameters

  source |

Reimplemented in SACN::MergeProxyUniverse.

Here is the call graph for this function:
Here is the caller graph for this function:

## slot()

uint8_t SACN::Universe::slot | ( | const uint16_t | addr | ) |

overridevirtual

Universe::slot.

Parameters

  addr |

Returns

6.2.6 E1.31 Data Packet: Options Force_Synchronization: Bit 5 This bit indicates whether to lock or revert to an unsynchronized state when synchronization is lost. When set to 0, components that had been operating in a synchronized state shall not update with any new packets until synchronization resumes. When set to 1, once synchronization has been lost, components that had been operating in a synchronized state need not wait for a new E1.31 Synchronization Packet in order to update to the next E1.31 Data Packet.

Reimplemented from DMX::Universe.

Reimplemented in SACN::MergeProxyUniverse.

Here is the call graph for this function:

## source()

std::shared_ptr< Provenance > SACN::Universe::source | ( |  | ) | const

virtual

Universe::source.

Returns

Reimplemented in SACN::MergeProxyUniverse.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/universe.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/universe.cpp